Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SActable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SAttributed, SNamed

All Known Subinterfaces:
  SAgent, SContext, SStyle, SStyle2D, SStyle3D, SStyleShape

All Known Implementing Classes:
  SActableImpl, SAgentImpl, SContextImpl, SStyle2DImpl, SStyle3DImpl, SStyleImpl, SStyleShapeImpl

    public interface SActable

extends SAttributed

A representation of the model object ' SActable'.

The following features are supported:

- `Root Activity`

See Also:
  `MetaABMPackage.getSActable()`

Method Summary
`IAct` | `getRootActivity()` Returns the value of the 'Root Activity' containment reference.
`void` | `setRootActivity(IAct value)` Sets the value of the '`Root Activity`' containment reference.

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRootActivity

    IAct getRootActivity()

  Returns the value of the 'Root Activity' containment reference.

  If the meaning of the 'Root Activity' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root Activity' containment reference.
  See Also:
    `setRootActivity(IAct)`, `MetaABMPackage.getSActable_RootActivity()`

### setRootActivity

    void setRootActivity(IAct value)

  Sets the value of the '`Root Activity`' containment reference.

  Parameters:
    `value` - the new value of the 'Root Activity' containment reference.
  See Also:
    `getRootActivity()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD